> ## Documentation Index
> Fetch the complete documentation index at: https://juridiqsoftware.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Vincular signatário a uma pessoa do CRM



## OpenAPI

````yaml https://api.juridiq.com.br/api-docs/client/openapi.json post /signature/{id}/link-signatory
openapi: 3.1.0
info:
  title: Juridiq API — Documentação para Integradores
  description: ''
  version: 1.0.0
servers:
  - url: https://api.juridiq.com.br
    description: Production server
security:
  - apiKeyAuth: []
tags: []
paths:
  /signature/{id}/link-signatory:
    post:
      tags:
        - Signatures
      summary: Vincular signatário a uma pessoa do CRM
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
          description: ID da assinatura
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                contact:
                  type: string
                  minLength: 1
                  description: E-mail ou telefone do signatário
                contactType:
                  type: string
                  enum:
                    - email
                    - whatsapp
                  description: email ou whatsapp
                personId:
                  type: string
                  format: uuid
                  description: ID da pessoa existente
                personName:
                  type: string
                  minLength: 1
                  description: Nome para criar nova pessoa
              required:
                - contact
                - contactType
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Vínculo criado
          content:
            application/json:
              schema:
                description: Vínculo criado
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  statusCode:
                    type: number
                  translateMessage:
                    type: string
                required:
                  - message
                  - statusCode
                  - translateMessage
                additionalProperties: false
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-juridiq-api-key
      description: >-
        Chave de API do escritório (criada no painel). Envie o valor no header
        x-juridiq-api-key.

````